require 'json'
require 'json-schema'

module QontoOfx
  # Base class for API response validation
  class BaseValidator
    def valid?(input)
      return false unless JSON::Validator.validate(
        @schema,
        JSON.parse(input)
      )
      true
    rescue JSON::ParserError
      false
    end
  end
end
