require 'json'
require 'api_gateway'
require 'rest-client'

module QontoOfx
  # Validate an OFX document against the schema
  class OfxValidator
    def valid?(input)
      path = File.join(File.dirname(__FILE__), "../schema/OFX2_Protocol.xsd")
      schema = Nokogiri::XML::Schema(File.open(path))
      document = Nokogiri::XML(input)
      schema.validate(document).empty?
    rescue => e
      false
    end
  end
end
