require 'json'
require 'json-schema'
require 'base_validator'

module QontoOfx
  # Validate an organization JSON from Qonto API
  class OrganizationValidator < BaseValidator
    def initialize
      path = File.join( File.dirname(__FILE__), '../qonto_organization_schema.json' )
      @schema = JSON.parse(
        File.read(
          path
        )
      )
    end
  end
end
